%global srcname uripecker
%global vdk_pylib_req vdk-pylib >= 0.0.0, vdk-pylib < 0.1.0


Name:           python-uripecker
Version:        0.0.14
Release:        1%{?dist}
Summary:        uripecker - Peck them URIs out
URL:            https://gitlab.com/vornet/python/python-uripecker
License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %{vdk_pylib_req}

%description
uripecker takes text and finds URLs.  Along
with URLs it also supports several forms
of short-hand indentifiers such as "bug 1234",
which it can also locate and translate to URLs
according to provided mapping.

Built with vdk-pylib-0.0.32


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3
BuildRequires:  python3-neaty
BuildRequires:  python3-myatf
BuildRequires:  python3
Requires:      python3
Requires:      python3-neaty
Requires:      python3
%description -n python3-%{srcname}
uripecker takes text and finds URLs.  Along
with URLs it also supports several forms
of short-hand indentifiers such as "bug 1234",
which it can also locate and translate to URLs
according to provided mapping.


%prep
%setup -q


%build
make %{?_smp_mflags} PREFIX=/usr pystuff
%py3_build

%install
%py3_install

%check
export VDK_TEST__DEBUG=true
%{_vdk_pylib_utildir}/vdk_test %{srcname} doctest \
  && %{_vdk_pylib_utildir}/vdk_test %{srcname} unittest

%files -n python3-%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}/


%changelog

# vim: syntax=spec:
# specfile built with MKit 0.0.60 and vdk-pylib-0.0.32
